/* Анимация - светлые маленькие ссылки */

.uc-link-small-light .tn-molecule {
    background: rgb(255, 255, 255, 0.1) !important;
    transition: background-color 0.2s ease !important;
    backdrop-filter: blur(5px);
}

.uc-link-small-light .tn-molecule:hover {
    background: rgb(255, 255, 255, 0.2) !important;
}

/* Анимация - темные маленькие ссылки */

.uc-link-small-dark .tn-molecule {
    transition: background-color 0.2s ease !important;
}

.uc-link-small-dark .tn-molecule:hover {
    background: #E7EBF0 !important;
}

/* Анимация - первичные кнопки */

.uc-btn-primary .tn-molecule {
     transition: background-color 0.2s ease !important;
}

.uc-btn-primary .tn-molecule:hover {
      background-color: #082D4D !important;
    
}

.uc-btn-primary {
    border: 1px solid !important;
    border-color: rgb(255, 255, 255, 0.1) !important;
}

/* Анимация - карточки при наведении */

.uc-card .tn-molecule {
    transition: background-color 0.2s ease !important;
}

.uc-card .tn-molecule:hover {
    background: #E7EBF0 !important;
}

/* Анимация - текст бегущей строки при наведении */

.uc-text-run .tn-atom__sbs-anim-wrapper .tn-atom {
    transition: color 0.2s ease !important;
}

.uc-text-run .tn-atom__sbs-anim-wrapper .tn-atom:hover {
    color: #082D4D !important;
}

/* Кастом - светлое выпадающее меню */

.uc-sub-menu-light {
    background: rgb(255, 255, 255, 0.1) !important;
    backdrop-filter: blur(5px);
}

/* Кастом - выделение текста */

::selection {
  background: #E7EBF0;
  color: #082D4D;      
}

/* Кастом - автозаполнение инпутов */

input:-webkit-autofill {
  -webkit-box-shadow: 0 0 0 1000px #FFFFFF inset;
  -webkit-text-fill-color: #082D4D;
}

/* Анимация - контрастные кнопки */

.uc-btn-contrast .tn-molecule:hover {
    background-color:  rgb(255, 255, 255, 0.1) !important;
}

/* Кастомизация чекбоксов */

.uc-checkbox .t-checkbox__control {
    -ms-flex-align: start;
    -webkit-align-items: start;
    align-items: start;
    gap: 8px;
    }
    
.uc-checkbox .t-checkbox__indicator {
    border: 1px solid;
    border-color:  rgb(8, 45, 77, 0.1) !important;
    background-color: #FFFFFF ;
    opacity: 1;
    height: 12px;
    width: 12px;
    }
    
.uc-checkbox .t-checkbox__indicator:after {
    content: "";
    background-image: url("https://static.tildacdn.com/tild3737-3132-4831-b432-663338616636/checkbox.svg");
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    border: none !important; 
    transform: none;
    -webkit-transform: none;
}

.uc-checkbox input:checked + .t-checkbox__indicator {
    border-color: #1B9DE0 !important;
    background: #1B9DE0 !important;
}
    
.uc-checkbox .t-checkbox__labeltext {
    line-height: 1.3;
    }

.t-checkboxes__wrapper .t-checkbox__control {
    -ms-flex-align: center;
    -webkit-align-items: center;
    align-items: center;
    gap: 8px;
    margin: 4px;
    color: #6B8194 !important;
    }
    
/* Кастом - пултип в форме */

.t-range__interval-txt {
    font-size: 12px;
    color: #6B8194 !important;
}

.t-range__value-txt {
    background-color: #fff;
    border-radius: 3px;
    box-shadow: 0 1px 8px 0 rgba(0, 0, 0, .05);
    font-size: 12px !important;
    color: #082D4D !important;

}

/* Кастом - инпуты */

.t-input-phonemask__select-code {
    margin-left: 4px !important;
}

.t-input {
    padding: 16px;
}

.t-select {
    padding-left: 16px;
}


/* Кастом - текст ошибки */

.t-input-error {
    font-size: 10px;
    z-index: 9999;
}

/* Кастом - сообщение успешной отправки */

body .t-form-success-popup {
    width: 100% !important;
    backdrop-filter: blur(5px);
    background-color:  rgb(0, 0, 0, 0.4) !important;
}

/* Кастом - стрелки галереи */

.t-slds__arrow {
    width: 36px!important;
    height: 36px !important;
    border-radius: 2px !important;
    border: 1px solid;
    border-color: #CED5DB;

    display: flex !important;
    justify-content: center !important;
    align-items: center !important;
}

.t-null__slds-arrow {
    display: none !important;
}

.t-slds__arrow_body-left {
    background-image: url("https://static.tildacdn.com/tild6366-6561-4232-b762-363733666337/arrow-right.svg");
    
    width: calc(12px * var(--zoom)) !important;
    height: calc(12px * var(--zoom)) !important;

    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;

    transform: none;
    -webkit-transform: none;
}

.t-slds__arrow_body-right {
    background-image: url("https://static.tildacdn.com/tild3431-3861-4763-a132-333736653138/arrow-left.svg");
    
    width: calc(12px * var(--zoom)) !important;
    height: calc(12px * var(--zoom)) !important;

    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;

    transform: none;
    -webkit-transform: none;
}


/* Кастом - модалки в мобильной версии */

@media (max-width: 640px) {
    
    .t1093 .t-popup {
        background-color: #fff !important;
    }
    
    .t-popup__container.t-popup__container-static {
    margin: 0px auto !important;
    }
}